Subject: bug#30806: closed ([PATCH] gnu: Add terraform.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Feb 2025 01:04:02 +0000

Your bug report

#44721: [PATCH] Add terraform and terraform-provider-libvirt

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44721: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44721
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH] gnu: Add terraform.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Mon, 17 Feb 2025 01:03:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Terraform is not free software
https://github.com/hashicorp/terraform/blob/main/LICENSE

Consider to package OpenTofu as alternate free fork.

Closing as not applied.

Oleg

Subject: [PATCH] Add terraform and terraform-provider-libvirt
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 13 Mar 2018 20:25:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: moreinfo

I'll send some patches for adding a Terraform package and the Terraform
libvirt provider. Both of these work, at least in the way I've been
using them, but the packages need more work before they can be
included. I think both packages include quite a few copies of other
libraries which need packaging for Guix.

Christopher Baines (2):
  gnu: Add terraform.
  gnu: Add terraform-provider-libvirt.

 gnu/local.mk               |   1 +
 gnu/packages/terraform.scm | 106 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)
 create mode 100644 gnu/packages/terraform.scm